Skip to main content
POST
/
v1
/
images
/
generations
Create Text-to-Image Task
curl --request POST \
  --url https://www.anyfast.ai/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedream-3-0-t2i-250415",
  "prompt": "A girl and a cow doll happily riding a roller coaster in an amusement park",
  "size": "1024x1024",
  "watermark": false,
  "seed": 123,
  "logo_info": {
    "add_logo": true,
    "position": 123,
    "language": 123,
    "opacity": 123
  }
}
'
{
  "model": "doubao-seedream-3-0-t2i-250415",
  "created": 1775029815,
  "data": [
    {
      "url": "https://ark-content-generation-v2-cn-beijing.example.com/image.png",
      "size": "2048x2048"
    }
  ],
  "usage": {
    "generated_images": 1,
    "output_tokens": 16384,
    "total_tokens": 16384
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Model ID

Available options:
doubao-seedream-3-0-t2i-250415
Example:

"doubao-seedream-3-0-t2i-250415"

prompt
string
required

Text prompt for image generation.

Example:

"A girl and a cow doll happily riding a roller coaster in an amusement park"

size
string

Output image size. Supported values vary by model.

Example:

"1024x1024"

watermark
boolean
default:false

Whether to include watermark.

seed
integer

Random seed for reproducibility.

logo_info
object

Custom logo/watermark configuration.

Response

Image generated successfully

model
string

Model used for generation.

Example:

"doubao-seedream-3-0-t2i-250415"

created
integer

Creation timestamp (Unix seconds).

Example:

1775029815

data
object[]

Generated image list.

usage
object

Token usage.